Bug 1777720 - Repository create with http_proxy name fails with Error: Found more than one http_proxy.
Summary: Repository create with http_proxy name fails with Error: Found more than one ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: Chris Roberts
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1774324
TreeView+ depends on / blocked
 
Reported: 2019-11-28 07:28 UTC by vijsingh
Modified: 2020-04-14 13:27 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.20.2.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28178 Normal Closed Repository create with http_proxy name fails with Error: Found more than one http_proxy. 2020-02-26 14:34:28 UTC
Github Katello hammer-cli-katello pull 711 None closed Fixes #28178 - Correct http_proxy search by name 2020-02-26 14:34:28 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:40 UTC

Description vijsingh 2019-11-28 07:28:21 UTC
Description of problem:


Repository create with http_proxy name fails with Error: Found more than one http_proxy.


Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 3.0

How reproducible:


Steps to Reproduce:
1. Create a repo using http proxu/policy as below:

hammer> repository create --name Rerani7 --product-id 1 --content-type yum --url 'https://repos.fedorapeople.org/repos/pulp/pulp/fixtures/srpm/' --http-proxy TestProxy --http-proxy-policy use_selected_http_proxy
Could not create the repository:
  Error: Found more than one http_proxy.
hammer>

Actual results:

Error: Found more than one http_proxy.

Expected results:
 
Repo should be able to create with provided http proxy/policy.

Additional info:

Comment 10 Chris Roberts 2019-12-16 20:48:53 UTC
This has been fixed in the following commit:

https://github.com/Katello/hammer-cli-katello/pull/711

Results of testing:

[root@nightly ~]# hammer repository create --name Rerani8 --product-id 1 --content-type yum --url 'https://repos.fedorapeople.org/repos/pulp/pulp/fixtures/srpm/' --http-proxy testproxy --http-proxy-policy use_selected_http_proxy
Repository created.

[root@nightly ~]# hammer http-proxy list
---|----------
ID | NAME
---|----------
1  | testproxy
2  | proxy1
---|----------

Moving to POST so it gets pulled into the next snap

Comment 12 vijsingh 2020-01-17 14:56:49 UTC
ON_QA Verified

@Satellite 6.7.0 snap 8.0


Steps/Observation:

 hammer> repository create --name Rerani7 --product-id 1 --content-type yum --url 'https://repos.fedorapeople.org/repos/pulp/pulp/fixtures/srpm/' --http-proxy Test123 --http-proxy-policy use_selected_http_proxy
Repository created.

 hammer> repository create --name Rerani8 --product-id 1 --content-type yum --url 'https://repos.fedorapeople.org/repos/pulp/pulp/fixtures/srpm/' --http-proxy Proxy1 --http-proxy-policy use_selected_http_proxy
Repository created.

Comment 15 errata-xmlrpc 2020-04-14 13:27:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.